| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAnimatedImage Struct Reference
[2D]

If an image file has animation capabilities, this interface is exhibited. More...

`#include <igraphic/animimg.h>`

Inheritance diagram for iAnimatedImage:

[legend]
List of all members.

## Public Member Functions
virtual bool | Animate (csTicks time, csRect *dirtyrect=0)=0
| Update the image data.
virtual bool | IsAnimated ()=0
| Is this image really animated? E.g.

## Detailed Description

If an image file has animation capabilities, this interface is exhibited.

Definition at line 39 of file animimg.h.

## Member Function Documentation

virtual bool iAnimatedImage::Animate | ( | csTicks | time,
|  | csRect * | dirtyrect = `0` |
| ) |  |  | `[pure virtual]`

Update the image data.

Parameters:

  | time | Time that passed since the last call to Animate().
  | dirtyrect | If not 0, the area that has changed is filled in.

Returns:
  Whether any image data has changed at all.

virtual bool iAnimatedImage::IsAnimated | ( |  | ) | `[pure virtual]`

Is this image really animated? E.g.

returns false if an animation has just 1 frame.

The documentation for this struct was generated from the following file:

- igraphic/animimg.h